关闭

系统中有两个version的PHP存在,导致phpunit测试出现问题的解决方法

今天要搭建本机的LAMP开发环境,因系统自带的php版本是5.5.14,但开发要使用的是php 5.6以上,因此安装了php 5.6.7。这样导致了系统中有两个版本的php存在。 正常开发是没有问题的,但如果使用了phpunit,phpunit会调用系统自带的php 5.5.14来执行。而我安装的php扩展(例如memcache,redis等)都是安装在php 5.6.7的那个版本上。使用phpunit做单元测试时,会提示扩展没有安装的情况。(例如memcache function not found)。...
阅读(18182) 评论(0)

Ubuntu安装MongoDB

UBuntu上安装MongoDB server 获取最新版本 wget http://fastdl.mongodb.org/linux/mongodb-linux-x86_64-2.0.2.tgz 解压缩即可执行 tar zxvf mongodb-linux-x86_64-2.0.2.tgz cd /usr/mongodb-linux-x86_64-2.0.2/bin...
阅读(9085) 评论(0)

尝试用Gearman实现分布式处理(PHP)

本文需要你已对Gearman有个大致了解。 顺便再推荐两篇参考文章 http://hi.baidu.com/thinkinginlamp/blog/item/ff49972b9e7378f3e6cd40aa.html (学学Gearman) http://www.ibm.com/developerworks/cn/opensource/os-php-gearman/index.html...
阅读(18257) 评论(0)

在ubuntu下安装memcache

使用Memcache的网站一般流量都是比较大的,为了缓解数据库的压力,让Memcache作为一个缓存区域,把部分信息保存在内存中,在前端能 够迅速的进行存取。 下面来介绍一下如何安装和使用memcache。 安装memcache 在ubuntu下安装memcache是非常的简单和快捷的,直接安装即可(本人使用的是ubuntu 10.04LTS) sudo apt-get instal...
阅读(1933) 评论(0)

ubuntu下安装Apache+PHP+Mysql

步骤一,安装apache2 sudo apt-get install apache2 安装完成。 运行如下命令重启下: sudo /etc/init .d /apache2 restart 在浏览器里输入http://localhost或者是http://127.0.0.1,如果看到了It works!,那就说明Apache就成功的安装了,Apache的默认安装,会在/var下建...
阅读(1551) 评论(0)
    微博
    微信公众号
    微信分享公众平台-破晓领域
    破晓领域
    微信号:fdipzone-idea
    名称:破晓领域

    个人资料
    • 访问:6244587次
    • 积分:42775
    • 等级:
    • 排名:第82名
    • 原创:268篇
    • 转载:24篇
    • 译文:0篇
    • 评论:419条
    博客专栏
    最新评论